//  Persistance of Vision Raytracer V2.0
//  World definition file.
//
//  Contains 4 lights, 27 textures and 383 primitives.
//
//  This file was generated for POV-Ray V2.0 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 06/26/1995    (26.06.1995)
//

//
//  This is the standard include file for POV.
//

//
// ********  T E X T U R E S  *******
//
#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "bobstexs.inc"
#include "SCIENCE.INC"



camera {  //  Camera main_cam
  location  <26.805, -172.362, 47.607>
  direction <0.0,     0.0,  1.6095>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.855, -4.131, 18.933>
}


// *******  L I G H T S *******

light_source {   // Spotlight spotonmss
  <0.000, 0.000, 120.000>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <0.000, -0.706, 119.292>
    falloff   30.3  // outer radius (in deg)
      radius    8.0  // inner radius
}

light_source {   // lightrearleft
  <-35.000, 35.000, 110.000>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // lightrearright
  <35.000, 35.000, 110.000>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // lightcenterfront
  <0.000, -67.401, 110.000>
  color rgb <1.000, 1.000, 1.000>
}



//floor************************************
plane {   // floor
  z,0
  texture {
    floor_tex
  }
  scale <1000.000000, 1000.000000, 1000.000000>
}

//laboratory walls**************************
#declare back_wall = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    wall_tex
  }
  scale <0.500000, 70.000000, 50.000000>
  rotate <0.000000, 0.000000, 90.000000>
  translate <0.000000, 65.000000, 40.000000>
}

#declare right_wall = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    wall_tex
  }
  scale <0.500000, 70.000000, 50.000000>
  translate <65.000000, 0.000000, 40.000000>
}

#declare left_wall = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    wall_tex
  }
  scale <0.500000, 70.000000, 50.000000>
  translate <-65.000000, 0.000000, 40.000000>
}

union {   // walls
  object { back_wall }
  object { right_wall }
  object { left_wall }
}



// ********  O B J E C T S *******

#include "sciobj.inc"

//begin stool1**********************************
object { stool
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, 30.000000>
  translate <-29.270766, -36.468275, 17.000000>
}
//end stool1

//begin stool2************************************
object { stool
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <35.000000, -45.000000, 17.000000>
}
//end stool2

//begin stool3****************************************
object { stool
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -210.000000>
  translate <28.790744, -107.005597, 17.000000>}
//end stool3

//begin stool4****************************************
object { stool
  scale <2.000000, 2.000000, 2.000000>
  rotate <0.000000, 0.000000, -60.000000>
  translate <-12.795253, 13.728815, 17.000000>
}
//end stool4

//begin lbench1***********************************
object { labbench
  scale <2.300000, 1.000000, 1.000000>
  rotate <0.000000, 0.000000, 90.000000>
  translate <-50.000000, -20.000000, 20.000000>
}
//end lbench1

//begin lbench2***********************************
object { labbench
  scale <2.300000, 1.000000, 1.000000>
  rotate <0.000000, 0.000000, 90.000000>
  translate <50.000000, -20.000000, 20.000000>
}
//end lbench2


//begin table**************************************
object { table
  translate <0.000000, -110.000000, 20.000000>
}
//end table

//begin pen**************************************
object { pen
  scale <0.250000, 0.250000, 0.250000>
  rotate <90.000000, -45.000000, -45.278271>
  translate <6.851362, -115.229332, 21.700000>
}
//end pen

//begin spectacles********************************
object { spectacles
  scale <0.400000, 0.400000, 0.400000>
  rotate <4.000000, 0.000000, -15.000000>
  translate <21.781821, -105.732905, 28.731943>
}
//end spectacles


// begin microscope*******************************
object { microscope
  rotate <0.000000, 0.000000, 67.000000>
  translate <-46.379245, -31.255578, 30.500000>
}
//end microscope

//begin spectrophotometer**************************
object { spectrophotometer
  rotate <0.000000, 0.000000, -90.000000>
  translate <51.134078, -44.243671, 23.000000>
}
//end spectrophotometer

//begin power tower console**************************
object { console
  scale <2.000000, 2.000000, 2.000000>
  translate <0.000000, 50.000000, 18.000000>
}
//end power tower console

//begin power tower********************************
object { power_tower
  scale <0.300000, 0.300000, 0.300000>
  translate <0.000000, 50.000000, 0.000000>
}
//end power tower

//begin ttrack1*******************************************
object { rack1
  scale <0.750000, 0.750000, 0.750000>
  rotate <0.000000, 0.000000, -32.000000>
  translate <50.000000, 0.000000, 21.000000>
}
//end ttrack1

//begin ttrack2***********************************
object { rack2
  scale <0.750000, 0.750000, 0.750000>
  rotate <0.000000, 0.000000, -37.000000>
  translate <-50.000000, 15.000000, 21.000000>
}
//end ttrack2

//begin ttrack3***********************************
object { rack3
  scale <0.750000, 0.750000, 0.750000>
  rotate <0.000000, 0.000000, -86.000000>
  translate <-50.000000, -13.000000, 21.000000>
}
//end ttrack3


//begin zappa picture****************************
object { zappaphoto
  rotate <0.000000, 0.000000, 90.000000>
  translate <-53.767119, 0.000000, 45.000000>
}
//end zappa picture

//begin feynman picture********************************
object { feynmanphoto
  rotate <0.000000, 0.000000, -90.000000>
  translate <53.767000, 0.000000, 45.000000>
}
//end feynman picture



//begin grant************************************
object { grant
  scale <0.450000, 0.450000, 0.450000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <15.180993, -114.668120, 20.571890>
}
//end grant

//begin cancer manuscript
object { cancermss
  scale <0.450000, 0.450000, 0.450000>
  rotate <-90.000000, 0.000000, 0.000000> //-59z
  translate <-3.2, -117.814214, 20.500000>  //-3.187399, -111.005193, 21.5
}
//end cancer manuscript

//begin aids manuscript****************************
object { aidsmss
  scale <0.450000, 0.450000, 0.450000>
  rotate <-90.000000, 0.000000, 5.000000>
  translate <8.473049, -117.814214, 21.500000>
}
//end aids manuscript



